//
//  ResponseJsonViewController.swift
//  MVisaSDKExample
//
//  Created by Birani, Bhanu Prakash on 8/30/17.
//  Copyright © 2017 Visa  Inc. All rights reserved.
//

import UIKit
import MVisaSDK

class ResponseJsonViewController: UIViewController {

    @IBOutlet weak private var responseJsonTextView: UITextView!
    var responseJson: String?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.title = "Response"
        
        if let response = responseJson  {
            responseJsonTextView.text = response
        }
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        
        // Hide the navigation bar on the this view controller
        self.navigationController?.setNavigationBarHidden(false, animated: false)
    }
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        
        // Show the navigation bar on other view controllers
        self.navigationController?.setNavigationBarHidden(true, animated: true)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
}
